[151773] users/devans/GNOME-3/stable/dports/gnome/libgsf

devans at macports.org devans at macports.org
Sun Aug 21 15:22:26 PDT 2016


Revision: 151773
          https://trac.macports.org/changeset/151773
Author:   devans at macports.org
Date:     2016-08-21 15:22:26 -0700 (Sun, 21 Aug 2016)
Log Message:
-----------
libgsf: update to version 1.14.40, no longer uses gnome-common.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/libgsf/Portfile
    users/devans/GNOME-3/stable/dports/gnome/libgsf/files/autogen.sh

Removed Paths:
-------------
    users/devans/GNOME-3/stable/dports/gnome/libgsf/files/patch-disable-compile-warnings.diff

Modified: users/devans/GNOME-3/stable/dports/gnome/libgsf/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/libgsf/Portfile	2016-08-21 22:07:04 UTC (rev 151772)
+++ users/devans/GNOME-3/stable/dports/gnome/libgsf/Portfile	2016-08-21 22:22:26 UTC (rev 151773)
@@ -5,7 +5,7 @@
 PortGroup           gobject_introspection 1.0
 
 name                libgsf
-version             1.14.39
+version             1.14.40
 license             LGPL-2.1
 set branch          [join [lrange [split $version .] 0 1] .]
 maintainers         nomaintainer
@@ -23,13 +23,12 @@
 
 use_xz              yes
 
-checksums           rmd160  0e4f609e4feb8e8be0f388a0ff024d9b763c156e \
-                    sha256  3dcfc911438bf6fae5fe842e85a9ac14324d85165bd4035caad4a4420f15a175
+checksums           rmd160  429f5b4c4dc0ae507cdc2165b232e9e55f4a3532 \
+                    sha256  350638894b5e324d8880b50e4bc43daabaf9f3f43a66010af080ffa2d32d51e0
 
 depends_build       port:pkgconfig \
                     port:intltool \
                     port:gtk-doc \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool
@@ -43,8 +42,6 @@
 
 gobject_introspection yes
 
-patchfiles          patch-disable-compile-warnings.diff
-
 # reconfigure using upstream autogen.sh for intltool 0.51 compatibility
 
 post-patch {
@@ -53,8 +50,7 @@
 
 configure.cmd       ./autogen.sh
 
-configure.args      --enable-compile-warnings=minimum \
-                    --disable-silent-rules
+configure.args      --disable-silent-rules
 
 post-destroot {
     set docdir ${prefix}/share/doc/${name}

Modified: users/devans/GNOME-3/stable/dports/gnome/libgsf/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/libgsf/files/autogen.sh	2016-08-21 22:07:04 UTC (rev 151772)
+++ users/devans/GNOME-3/stable/dports/gnome/libgsf/files/autogen.sh	2016-08-21 22:22:26 UTC (rev 151773)
@@ -1,20 +1,13 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-PKG_NAME="libgsf"
+PKG_NAME="Libgsf"
 
-REQUIRED_AUTOMAKE_VERSION=1.8
-# We require Automake 1.7.1, which requires Autoconf 2.54.
-REQUIRED_AUTOCONF_VERSION=2.54
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
 
-USE_GNOME2_MACROS=1
+olddir=$(pwd)
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-abs_srcdir=`cd $srcdir && pwd`
-ACLOCAL_FLAGS="-I $abs_srcdir/m4 $ACLOCAL_FLAGS"
-
 (test -f $srcdir/configure.ac \
   && test -d $srcdir/gsf \
   && test -f $srcdir/gsf/gsf.h) || {
@@ -23,22 +16,20 @@
     exit 1
 }
 
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
-  IFS="$ifs_save"
-  test -z "$dir" && dir=.
-  if test -f "$dir/gnome-autogen.sh" ; then
-    gnome_autogen="$dir/gnome-autogen.sh"
-    gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
-    break
-  fi
-done
+cd $srcdir
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+cd $olddir
 
-if test -z "$gnome_autogen" ; then
-  echo "You need to install the gnome-common module and make"
-  echo "sure the gnome-autogen.sh script is in your \$PATH."
-  exit 1
-fi
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-GNOME_DATADIR="$gnome_datadir"
-. $gnome_autogen
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type 'make' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi

Deleted: users/devans/GNOME-3/stable/dports/gnome/libgsf/files/patch-disable-compile-warnings.diff
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/libgsf/files/patch-disable-compile-warnings.diff	2016-08-21 22:07:04 UTC (rev 151772)
+++ users/devans/GNOME-3/stable/dports/gnome/libgsf/files/patch-disable-compile-warnings.diff	2016-08-21 22:22:26 UTC (rev 151773)
@@ -1,11 +0,0 @@
---- configure.ac.orig	2015-03-06 05:15:35.000000000 -0800
-+++ configure.ac	2015-03-06 05:16:19.000000000 -0800
-@@ -184,7 +184,7 @@
- ifdef([GNOME_COMPILE_WARNINGS],[GNOME_COMPILE_WARNINGS],)
- CFLAGS="$CFLAGS $WARN_CFLAGS -DG_DISABLE_DEPRECATED"
- 
--set_more_warnings=yes
-+set_more_warnings=no
- if test "$GCC" = yes -a "x$set_more_warnings" != xno; then
- 	dnl Clang needs to option, or else it will appear to support any
- 	dnl warning option
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160821/e36ef73d/attachment.html>


More information about the macports-changes mailing list